class CreateUsers < Jennifer::Migration::Base
  def up
    create_table :users do |t|
      t.uuid :id, {:primary => true}

      t.string :username, {:null => false}
      t.string :email, {:null => true}
      t.string :password_digest, {:null => false}
      t.string :roles, {:null => false, :array => true}

      t.timestamp :created_at, {:null => false}
      t.timestamp :updated_at, {:null => false}
      # t.timestamps
    end

    change_table :users do |t|
      t.add_index :username, type: :uniq
    end
  end

  def down
    change_table :users do |t|
      t.drop_index :username
    end
    drop_table :users if table_exists? :users
  end
end
